import request from '@/utils/request'

// 查询知识库列表
export function listChatDataset(query) {
  return request({
    url: '/chat/chatDataset/list',
    method: 'get',
    params: query
  })
}

// 查询知识库详细
export function getChatDataset(datasetId) {
  return request({
    url: '/chat/chatDataset/' + datasetId,
    method: 'get'
  })
}

// 新增知识库
export function addChatDataset(data) {
  return request({
    url: '/chat/chatDataset',
    method: 'post',
    data: data
  })
}

// 修改知识库
export function updateChatDataset(data) {
  return request({
    url: '/chat/chatDataset',
    method: 'put',
    data: data
  })
}

// 删除知识库
export function delChatDataset(datasetId) {
  return request({
    url: '/chat/chatDataset/' + datasetId,
    method: 'delete'
  })
}

// 导出知识库
export function exportChatDataset(query) {
  return request({
    url: '/chat/chatDataset/export',
    method: 'get',
    params: query
  })
}
